Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class DeleteAttributesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.simpledb.model.DeleteAttributesRequest

    public class DeleteAttributesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteAttributes operation`.

Deletes one or more attributes associated with an item. If all attributes of the item are deleted, the item is deleted.

NOTE: If DeleteAttributes is called without being passed any attributes or values specified, all the attributes for the item are deleted.

`DeleteAttributes` is an idempotent operation; running it multiple times on the same item or attribute does not result in an error response.

Because Amazon SimpleDB makes multiple copies of item data and uses an eventual consistency update model, performing a GetAttributes or Select operation (read) immediately after a `DeleteAttributes` or PutAttributes operation (write) might not return updated item data.

See Also:
  `AmazonSimpleDB.deleteAttributes(DeleteAttributesRequest)`

Constructor Summary
`DeleteAttributesRequest()` Default constructor for a new DeleteAttributesRequest object.
`DeleteAttributesRequest(String domainName, String itemName)` Constructs a new DeleteAttributesRequest object.
`DeleteAttributesRequest(String domainName, String itemName, List<Attribute> attributes)` Constructs a new DeleteAttributesRequest object.
`DeleteAttributesRequest(String domainName, String itemName, List<Attribute> attributes, UpdateCondition expected)` Constructs a new DeleteAttributesRequest object.

Method Summary
`List<Attribute>` | `getAttributes()` A list of Attributes.
`String` | `getDomainName()` The name of the domain in which to perform the operation.
`UpdateCondition` | `getExpected()` The update condition which, if specified, determines whether the specified attributes will be deleted or not.
`String` | `getItemName()` The name of the item.
`void` | `setAttributes(Collection<Attribute> attributes)` A list of Attributes.
`void` | `setDomainName(String domainName)` The name of the domain in which to perform the operation.
`void` | `setExpected(UpdateCondition expected)` The update condition which, if specified, determines whether the specified attributes will be deleted or not.
`void` | `setItemName(String itemName)` The name of the item.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteAttributesRequest` | `withAttributes(Attribute... attributes)` A list of Attributes.
`DeleteAttributesRequest` | `withAttributes(Collection<Attribute> attributes)` A list of Attributes.
`DeleteAttributesRequest` | `withDomainName(String domainName)` The name of the domain in which to perform the operation.
`DeleteAttributesRequest` | `withExpected(UpdateCondition expected)` The update condition which, if specified, determines whether the specified attributes will be deleted or not.
`DeleteAttributesRequest` | `withItemName(String itemName)` The name of the item.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteAttributesRequest

    public DeleteAttributesRequest()

  Default constructor for a new DeleteAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### DeleteAttributesRequest

    public DeleteAttributesRequest(String domainName,
                                   String itemName)

  Constructs a new DeleteAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
    `itemName` - The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.

### DeleteAttributesRequest

    public DeleteAttributesRequest(String domainName,
                                   String itemName,
                                   List<Attribute> attributes)

  Constructs a new DeleteAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
    `itemName` - The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.
    `attributes` - A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.

### DeleteAttributesRequest

    public DeleteAttributesRequest(String domainName,
                                   String itemName,
                                   List<Attribute> attributes,
                                   UpdateCondition expected)

  Constructs a new DeleteAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
    `itemName` - The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.
    `attributes` - A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.
    `expected` - The update condition which, if specified, determines whether the specified attributes will be deleted or not. The update condition must be satisfied in order for this request to be processed and the attributes to be deleted.

Method Detail

### getDomainName

    public String getDomainName()

  The name of the domain in which to perform the operation.

  Returns:
    The name of the domain in which to perform the operation.

### setDomainName

    public void setDomainName(String domainName)

  The name of the domain in which to perform the operation.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.

### withDomainName

    public DeleteAttributesRequest withDomainName(String domainName)

  The name of the domain in which to perform the operation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getItemName

    public String getItemName()

  The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.

  Returns:
    The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.

### setItemName

    public void setItemName(String itemName)

  The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.

  Parameters:
    `itemName` - The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.

### withItemName

    public DeleteAttributesRequest withItemName(String itemName)

  The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `itemName` - The name of the item. Similar to rows on a spreadsheet, items represent individual objects that contain one or more value-attribute pairs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributes

    public List<Attribute> getAttributes()

  A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.

  Returns:
    A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.

### setAttributes

    public void setAttributes(Collection<Attribute> attributes)

  A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.

  Parameters:
    `attributes` - A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.

### withAttributes

    public DeleteAttributesRequest withAttributes(Attribute... attributes)

  A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAttributes

    public DeleteAttributesRequest withAttributes(Collection<Attribute> attributes)

  A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - A list of Attributes. Similar to columns on a spreadsheet, attributes represent categories of data that can be assigned to items.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getExpected

    public UpdateCondition getExpected()

  The update condition which, if specified, determines whether the specified attributes will be deleted or not. The update condition must be satisfied in order for this request to be processed and the attributes to be deleted.

  Returns:
    The update condition which, if specified, determines whether the specified attributes will be deleted or not. The update condition must be satisfied in order for this request to be processed and the attributes to be deleted.

### setExpected

    public void setExpected(UpdateCondition expected)

  The update condition which, if specified, determines whether the specified attributes will be deleted or not. The update condition must be satisfied in order for this request to be processed and the attributes to be deleted.

  Parameters:
    `expected` - The update condition which, if specified, determines whether the specified attributes will be deleted or not. The update condition must be satisfied in order for this request to be processed and the attributes to be deleted.

### withExpected

    public DeleteAttributesRequest withExpected(UpdateCondition expected)

  The update condition which, if specified, determines whether the specified attributes will be deleted or not. The update condition must be satisfied in order for this request to be processed and the attributes to be deleted.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `expected` - The update condition which, if specified, determines whether the specified attributes will be deleted or not. The update condition must be satisfied in order for this request to be processed and the attributes to be deleted.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.